Get the results of the carrier charges report
Body·
application/json
- Type: string | nullFormat: uuidcarrier
Partner Id The carrier partner to filter by
- Type: stringFormat: datedate
From The start date in the charge date range
- Type: stringFormat: datedate
To The end date in the charge date range
Responses
- application/json
Request Example for post/v1/reports/carrier-charges
curl https://api.consignlyhq.com/v1/reports/carrier-charges \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"dateFrom": "date (YYYY-MM-DD)",
"dateTo": "date (YYYY-MM-DD)",
"carrierPartnerId": null
}'
[
{
"carrierName": null,
"transactionDate": "date (YYYY-MM-DD)",
"scheduleStatus": "enum (Draft = 1, Approved = 2)",
"scheduleReference": null,
"transactionType": "enum (AdhocCharge = 0, FreightCharge = 1, StorageCharge = 2, ActivityCharge = 3)",
"activityName": null,
"activityCode": null,
"particulars": null,
"consignmentNumber": null,
"referenceNumber": null,
"consigneeName": null,
"taxRatePercent": 1,
"quantity": 1,
"chargeRateExclTax": 1,
"chargeApplication": "enum (Rate = 1, Fee = 2)",
"baseChargeExclTax": null,
"minChargeExclTax": null,
"maxChargeExclTax": null,
"amountExclTax": 1
}
]